NX Open C++ Reference Guide
|
Represents a Tooling::MoldProcessBuilder builder <br> To create a new instance of this class, use @link Tooling::MoldProcessCollection::CreateMoldProcessBuilder Tooling::MoldProcessCollection::CreateMoldProcessBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::SelectPoint * | CompSelect () |
Returns the component selected to be edited. | |
NXOpen::SelectNXObjectList * | ConceptObjects () |
Returns the concept objects selected to be edited. | |
bool | Rename () |
Returns the rename toggle let users choose whether to run Part Name Management dialog Created in NX6.0.0. | |
void | SetRename (bool rename) |
Sets the rename toggle let users choose whether to run Part Name Management dialog Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Tooling::MoldProcessBuilder builder <br> To create a new instance of this class, use @link Tooling::MoldProcessCollection::CreateMoldProcessBuilder Tooling::MoldProcessCollection::CreateMoldProcessBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Rename |
0 |
Created in NX6.0.0.
NXOpen::SelectPoint* NXOpen::Tooling::MoldProcessBuilder::CompSelect | ( | ) |
Returns the component selected to be edited.
The edition will start Standard Part Management dialog
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::MoldProcessBuilder::ConceptObjects | ( | ) |
Returns the concept objects selected to be edited.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::MoldProcessBuilder::Rename | ( | ) |
Returns the rename toggle let users choose whether to run Part Name Management dialog
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::MoldProcessBuilder::SetRename | ( | bool | rename | ) |
Sets the rename toggle let users choose whether to run Part Name Management dialog
Created in NX6.0.0.
License requirements : None
rename | rename |